New role does not have non member permissions prefilled as default
Target version:

Resolution: Fixed Affected version:

Description
r15668 - "Issues visibility" and "Time logs visibility" are invisible:
Home My page Projects Administration Help Logged In as admin My account Sign out

Redmine search: | .

Roles » New role Administration
Name * ; Zrojects
sers
Issues can be assigned to # Groups
il role [ Roles and permissions
Users visibility all active users .| Trackers
Copy workflow from ¥ Icsus stab s
- Workflow

P T S

Associated revisions

Revision 15764 - 2016-08-30 23:46 - Jean-Philippe Lang

Fixed that new role does not have non member permissions as default (#23633).

History

#1 - 2016-08-22 15:42 - Toshi MARUYAMA

- Target version set to 3.4.0

#2 - 2016-08-23 00:01 - Go MAEDA

According to source:trunk/app/controllers/roles_controller.rb@15668#L47, the form is expected to be filled with "Non member" role permissions by
default. But it seems does not to be working on r15668 and later.

#3 - 2016-08-30 23:36 - Jean-Philippe Lang
"Issues visibility" and "Time logs visibility" are invisible

If you check "View issues" permission, "Issues visibility" should show up. The same for time logs.

Can you check this?

#4 - 2016-08-30 23:46 - Jean-Philippe Lang

the form is expected to be filled with "Non member" role permissions by default. But it seems does not to be working on r15668 and later.

Fixed in r15764.

#5 - 2016-10-10 10:10 - Jean-Philippe Lang

- Subject changed from "Issues visibility" and "Time logs visibility" on RolesController#new screen are invisible on r15668 and later to New role does

not have non member permissions prefilled as default
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#6 - 2016-10-25 16:13 - Toshi MARUYAMA
- Target version deleted (3.4.0)
